curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/send-poll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"reply_to": "string",
"poll": {
"name": "How are you?",
"options": [
"Awesome!",
"Good!",
"Not bad!"
],
"multipleAnswers": true
}
}
'{
"id": "[email protected]_3EB0A4F993D38D3BBD04F3",
"timestamp": 1741448369,
"from": "[email protected]",
"fromMe": true,
"body": null,
"hasMedia": false,
"media": null,
"ack": 0,
"ackName": "PENDING",
"replyTo": null,
"_data": {
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB0A4F993D38D3BBD04F3"
},
"message": {
"messageContextInfo": {
"messageSecret": "VrTaj/wh+/lyIUdBi8TV4JCpbNK1Dd54SNZHH8vR2x0="
},
"pollCreationMessageV3": {
"name": "Sample Poll",
"options": [
{
"optionName": "Option 1"
},
{
"optionName": "Option 2"
},
{
"optionName": "Option 3"
}
],
"selectableOptionsCount": 1
}
},
"messageTimestamp": 1741448369,
"status": "PENDING"
}
}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}Send Poll
You can ask a question and provide a few options for the user to choose from. The user can select only one option or multiple options, depending on the poll configuration.
POST
/
{instance}
/
send-poll
curl --request POST \
--url https://app.hypersender.com/api/whatsapp/v1/{instance}/send-poll \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatId": "[email protected]",
"reply_to": "string",
"poll": {
"name": "How are you?",
"options": [
"Awesome!",
"Good!",
"Not bad!"
],
"multipleAnswers": true
}
}
'{
"id": "[email protected]_3EB0A4F993D38D3BBD04F3",
"timestamp": 1741448369,
"from": "[email protected]",
"fromMe": true,
"body": null,
"hasMedia": false,
"media": null,
"ack": 0,
"ackName": "PENDING",
"replyTo": null,
"_data": {
"key": {
"remoteJid": "[email protected]",
"fromMe": true,
"id": "3EB0A4F993D38D3BBD04F3"
},
"message": {
"messageContextInfo": {
"messageSecret": "VrTaj/wh+/lyIUdBi8TV4JCpbNK1Dd54SNZHH8vR2x0="
},
"pollCreationMessageV3": {
"name": "Sample Poll",
"options": [
{
"optionName": "Option 1"
},
{
"optionName": "Option 2"
},
{
"optionName": "Option 3"
}
],
"selectableOptionsCount": 1
}
},
"messageTimestamp": 1741448369,
"status": "PENDING"
}
}{
"message": "The given data was invalid.",
"errors": {},
"statusCode": 422
}{
"message": "Internal Server Error"
}You can create a poll in a chat.


Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"{{ instance_id }}"
Body
application/json
Example:
Show child attributes
Show child attributes